## org.apache.myfaces.custom.jsvalueset
Class HtmlJsValueSetRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.jsvalueset.HtmlJsValueSetRenderer

public class HtmlJsValueSetRenderer
extends HtmlRenderer

Version:
  $Revision: 289850 $ $Date: 2005-09-17 16:40:47 -0400 (Sat, 17 Sep 2005) $
Author:
  Martin Marinschek (latest modification by $Author: mmarinschek $)

Constructor Summary
`HtmlJsValueSetRenderer()`

Method Summary
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected javax.faces.application.Application` `getApplication()`
`protected javax.faces.context.FacesContext` `getFacesContext()`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlJsValueSetRenderer

    public HtmlJsValueSetRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getApplication

    protected javax.faces.application.Application getApplication()

### getFacesContext

    protected javax.faces.context.FacesContext getFacesContext()